package es.verdnatura.domain

import android.content.Context
import es.verdnatura.presentation.view.feature.ajustes.model.SectorItemVO
import retrofit2.Call

class GetAjustesUserCase(context: Context) : RestClient(context) {

    fun getSectors(usuario: String, password: String): Call<List<SectorItemVO>> {
        return restClient!!.getSectors("json", "1", usuario, password, "application/json")
    }

}