package es.verdnatura.presentation.view.feature.pasillero.fragment

import android.content.Context
import es.verdnatura.R
import es.verdnatura.presentation.base.BaseViewModel
import es.verdnatura.presentation.view.feature.pasillero.model.PasillerosItemVO

class PasilleroViewModel(context: Context) : BaseViewModel() {
    private val _pasillerositem by lazy { ArrayList<PasillerosItemVO>() }
    val pasillerositem: List<PasillerosItemVO>
        get() = _pasillerositem

    fun inititializeDefaultData() {

     /*   _pasillerositem.add(
            PasillerosItemVO(20,
                R.drawable.barcode_scan,
                "Visor web",R.string.SmarttagAssociate)

       _pasillerositem.add(
                 PasillerosItemVO(20,
                     R.drawable.barcode_scan,
                     "Asociar Sacador SmartTags",R.string.SmarttagAssociate)
             )
             _pasillerositem.add(
                 PasillerosItemVO(21,
                     R.drawable.barcode,
                     "Registrar SmartTags",R.string.SmarttagRegister)
             )
           */


       /*_pasillerositem.add(
            PasillerosItemVO(7,
                R.drawable.ic_streetview_black_24dp,
                "Pre Control",R.string.precontrolprevious)
                           )*/
        //sergio para que aparezca el nuevo menu


        _pasillerositem.add(
                 PasillerosItemVO(7,
                     R.drawable.ic_streetview_black_24dp,
                     "Pre Sacador",R.string.PreSacador)
             )
        //sergio para que aparezca el nuevo menu
        _pasillerositem.add(
            PasillerosItemVO(
                10,
                R.drawable.ic_visibility_black_24dp,
                "Ver Ticket", R.string.verticket
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                41,
                R.drawable.day_of_sale,
                "Día de venta", R.string.dayofSale
                            )
                           )

        _pasillerositem.add(
            PasillerosItemVO(
                10,
                R.drawable.ic_history_orange_24dp,
                "Histórico Shelving", R.string.itemShelvingLog
                            )
                           )

        _pasillerositem.add(
            PasillerosItemVO(
                22,
                R.drawable.car_info,
                "Historial del vehículo", R.string.vehiclediary
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                7,
                R.drawable.ic_baseline_all_inbox_24,
                "Reposición", R.string.reposicion
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                0,
                R.drawable.ic_loyalty_black_24dp,
                "Consultar artículo", R.string.ConsultarArticulo
            )
        )
        /*  _pasillerositem.add(
              PasillerosItemVO(30,
                  R.drawable.ic_loyalty_black_24dp,
                  "Consultar expedición",R.string.ExpeditionState)
          )*/



        _pasillerositem.add(
            PasillerosItemVO(
                6,
                R.drawable.ic_local_parking_orange_24dp,
                "Parking", R.string.Parking
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                2,
                R.drawable.ic_visibility_black_24dp,
                "Buscar item", R.string.BuscarItem
            )
        )

        //sergio: pruebas cau item buscar
        /*  _pasillerositem.add(
              PasillerosItemVO(9,
                  R.drawable.ic_visibility_black_24dp,
                  "Buscar item full",R.string.test)
          )*/

        _pasillerositem.add(
            PasillerosItemVO(
                1,
                R.drawable.ic_dashboard_black_24dp,
                "Ubicador", R.string.Ubicador
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                3,
                R.drawable.ic_spa_black_24dp,
                "Inventario", R.string.Inventario
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                4,
                R.drawable.ic_move_to_inbox_black_24dp,
                "Faltas", R.string.Faltas
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                5,
                R.drawable.ic_send_black_24dp,
                "Shelving Parking", R.string.ShelvingParking
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                8,
                R.drawable.ic_baseline_star_24,
                "Calidad", R.string.Calidad
            )
        )

    }

    fun inititializeDefaultPallet() {

        _pasillerositem.add(
            PasillerosItemVO(
                30,
                R.drawable.pallet_shipping_selected,
                "Paletizar", R.string.PalletMake
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                31,
                R.drawable.ic_visibility_black_24dp,
                "Consultar expedición", R.string.ExpeditionState
            )
        )
        _pasillerositem.add(
            PasillerosItemVO(
                40,
                R.drawable.barcode_scan,
                "Escanear expedición", R.string.ExpeditionScan
            )
        )


        _pasillerositem.add(
            PasillerosItemVO(
                32,
                R.drawable.buffer_outline,
                "Gestión de buffers", R.string.BuffersManegement
            )
        )
        _pasillerositem.add(
            PasillerosItemVO(
                33,
                R.drawable.qrcode_scan,
                "Lector Qr", R.string.QrReader
            )
        )

    }

    fun inititializeDefaultBuffer() {

        _pasillerositem.add(
            PasillerosItemVO(
                30,
                R.drawable.buffer_empty,
                "Vaciado buffer", R.string.bufferempty
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                31,
                R.drawable.buffer_fill,
                "Llenado buffer", R.string.bufferfill
            )
        )


        _pasillerositem.add(
            PasillerosItemVO(
                32,
                R.drawable.buffer_accumulation,
                "Acumulación buffer", R.string.bufferaccumulate
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                31,
                R.drawable.buffer_off,
                "Desactivado buffer", R.string.bufferoff
            )
        )
    }

}
